Google Web Toolkit (Beta)
Search this site:

# Class TextBox

public class TextBox
extends TextBoxBase
A standard single-line text box.

### CSS Style Rules

- .gwt-TextBox { primary style }
- .gwt-TextBox-readonly { dependent style set when the text box is read-only }

### Example

    public class TextBoxExample implements EntryPoint {

      public void onModuleLoad() {
        // Make some text boxes.  The password text box is identical to the text
        // box, except that the input is visually masked by the browser.
        PasswordTextBox ptb = new PasswordTextBox();
        TextBox tb = new TextBox();

        // Let's disallow non-numeric entry in the normal text box.
        tb.addKeyboardListener(new KeyboardListenerAdapter() {
          public void onKeyPress(Widget sender, char keyCode, int modifiers) {
            if (!Character.isDigit(keyCode)) {
              // TextBox.cancelKey() suppresses the current keyboard event.
              ((TextBox)sender).cancelKey();
            }
          }
        });

        // Let's make an 80x50 text area to go along with the other two.
        TextArea ta = new TextArea();
        ta.setCharacterWidth(80);
        ta.setVisibleLines(50);

        // Add them to the root panel.
        VerticalPanel panel = new VerticalPanel();
        panel.add(tb);
        panel.add(ptb);
        panel.add(ta);
        RootPanel.get().add(panel);
      }
    }

## Constructors

TextBox() | Creates an empty text box.

## Methods

getMaxLength() | Gets the maximum allowable length of the text box.
getVisibleLength() | Gets the number of visible characters in the text box.
setMaxLength(int) | Sets the maximum allowable length of the text box.
setVisibleLength(int) | Sets the number of visible characters in the text box.

## Constructor Detail

### TextBox

public TextBox()
Creates an empty text box.

## Method Detail

### getMaxLength

public int getMaxLength()
Gets the maximum allowable length of the text box.

#### Return Value

the maximum length, in characters

### getVisibleLength

public int getVisibleLength()
Gets the number of visible characters in the text box.

#### Return Value

the number of visible characters

### setMaxLength

public void setMaxLength(int length)
Sets the maximum allowable length of the text box.

#### Parameters

length
  the maximum length, in characters

### setVisibleLength

public void setVisibleLength(int length)
Sets the number of visible characters in the text box.

#### Parameters

length
  the number of visible characters